a:link { color: #004faf; text-decoration: none } a:visited { color: #672967; text-decoration: none }body { background: white; color: black; } -->

| Classes - Annotated - Tree - Functions - Home - Structure Qte

# QXmlInputSource Class Reference
[ XML module ]

The QXmlInputSource class is the source where XML data is read from. More...

`#include <qxml.h>`

List of all member functions.

## Public Members

- QXmlInputSource ()
- QXmlInputSource ( QTextStream & stream )
- QXmlInputSource ( QFile & file )
- virtual ~QXmlInputSource ()
- virtual const QString& data () const
- virtual void setData ( const QString & d )

## Detailed Description

The QXmlInputSource class is the source where XML data is read from.

All subclasses of QXmlReader read the input from this class.

Examples: xml/tagreader/tagreader.cpp xml/tagreader-with-features/tagreader.cpp

## Member Function Documentation

### QXmlInputSource::QXmlInputSource ()

Constructs a input source which contains no data.

### QXmlInputSource::QXmlInputSource ( QFile & file )

Constructs a input source and get the data from a file. If the file cannot be read the input source is empty.

### QXmlInputSource::QXmlInputSource ( QTextStream & stream )

Constructs a input source and get the data from the text stream.

### QXmlInputSource::~QXmlInputSource () `[virtual]`

Destructor.

### const QString& QXmlInputSource::data () const `[virtual]`

Returns all the data this input source contains.

### void QXmlInputSource::setData ( const QString & dat ) `[virtual]`

Sets the data of the input source to dat.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2005 Trolltech, all rights reserved.